Mailinglist Archive: opensuse-factory (1324 mails)

< Previous Next >
Re: [opensuse-factory] YaST2 doesn't use a Qt GUI
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

On 2015-10-16 22:22, Felix Miata wrote:
Kyrill Detinov composed on 2015-10-16 22:47 (UTC+0300):

After the recent Tumbleweed update YaST2 doesn't use a Qt GUI.
...
write(1, "Qt GUI wanted but not found, fal"..., 54Qt GUI wanted
but not found, falling back to ncurses.

What is missing?

yast2 --qt works here. Likely one or more of the following is
missing: libyui-ncurses-pkg7-2.48.1-1.1.x86_64
libyui-ncurses6-2.47.2-1.1.x86_64
libyui-ncurses7-2.47.4-1.1.x86_64
libyui-qt-graph6-2.44.3-1.4.x86_64 libyui-qt6-2.46.18-1.3.x86_64
libyui6-3.2.0-1.1.x86_64 libyui7-3.2.3-1.1.x86_64

I had a similar problem not long ago, in Leap. The problem was not
exactly missing libraries, but libraries half installed, and a
corrupted rpmdatabase. The bug that caused this is (was?) also active
in TW (stop apparmor before running zypper up, dup or patch).

The first step is "rpm --rebuilddb". When that is done, the second is
"rpm -Va '*'".

If missing or crc changed files are found, reinstall those packages.

- --
Cheers / Saludos,

Carlos E. R.

(from 13.1 x86_64 "Bottle" (Minas Tirith))
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (GNU/Linux)

iF4EAREIAAYFAlYhgXwACgkQja8UbcUWM1ywPQD8DqMtMSEXR5fzDJbndpfxJ5ZP
RNfYx9qc/UoXbeU8ShMBAI+1jQZD8ycBqk6oT3hqhTEXkoTfapVBjpWekREJ38V9
=A+1q
-----END PGP SIGNATURE-----
--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >